function out = exactsol(x)

    data = load('exactsol_data.mat');
    tau = 1/10000;
    h = exp(1)*tau;
    jvals = floor(-3/h):ceil((1+3)/h);
    xvals = jvals*h;
    
    out = interp1(xvals, data.ex, x, 'spline');

end
