function u = Parb_Evl_BFE(Mesh,u0,FHandle,T,Nsteps)

  % Initialize quadrature rules
  QuadRule = TProd(gauleg(0,1,4));

  % Compute matrices
  M = assemMat_BFE(Mesh,@MASS_BFE,QuadRule);
  A = assemMat_BFE(Mesh,@STIMA_Lapl_BFE,QuadRule);

  % Compute time steps
  dt = T/Nsteps;
    
  % Compute matrices
  S1 = M + dt*A;
  S2 = M;

  % Isolate free nodes
  [temp, FreeDofs] = assemDir_BFE(Mesh,-1, @(x,varargin) zeros(size(x,1),1));
    
  % Start time stepping
  for i = 1:Nsteps
        
    % Assemble load vector

    %%%%% YOUR CODE HERE %%%%%
        
    % Solve the linear system

    %%%%% YOUR CODE HERE %%%%%
        
    % Update vectors

    %%%%% YOUR CODE HERE %%%%%

  end

  u = u0;

end
