function Aloc = STIMA_Lapl_BFE(Vertices,ElemInfo,QuadRule,varargin)

  % Initialize constants
  
  nGauss = size(QuadRule.w,1);
  
  % Preallocate memory
  
  Aloc = zeros(4,4);
    
  % Extract vertices
  
  P1 = Vertices(1,:);
  P2 = Vertices(2,:);
  P3 = Vertices(3,:);
  P4 = Vertices(4,:);
  
  for i = 1:nGauss

    % Compute element mapping PhiK and matrix M
  
    grad_N = grad_shap_BFE(QuadRule.x(i,:));  
    M(1,:) = P1(1)*grad_N(1:2)+P2(1)*grad_N(3:4) + ...
                  P3(1)*grad_N(5:6)+P4(1)*grad_N(7:8);
    M(2,:) = P1(2)*grad_N(1:2)+P2(2)*grad_N(3:4) + ...
                  P3(2)*grad_N(5:6)+P4(2)*grad_N(7:8);
    det_M = abs(det(M));
    
    % Compute gradients of element shape functions

    %%%%% YOUR CODE HERE %%%%%
        
    % Compute entries of stiffness matrix
    
    %%%%% YOUR CODE HERE %%%%%

  end
  
  % Fill in lower triangular part
  
  %%%%% YOUR CODE HERE %%%%%
  
return
